import { defineComponent as $, resolveComponent as i, openBlock as p, createBlock as d, mergeProps as _, withCtx as e, renderSlot as l, createVNode as K, unref as c, normalizeProps as m, guardReactiveProps as r, computed as V, isRef as A, createSlots as y, createElementBlock as k, normalizeClass as h } from "vue";
import { k as g, _ as P, a as S, b as I, e as b, c as T, i as w, d as B, f as H, g as R, h as j, j as z, l as G, m as J, n as q, o as Q, p as W, q as Y, K as D, r as F, s as M, t as N, u as O, v as U, w as X, x as Z, y as C } from "./index-9ceb1eb9.js";
import "lodash-es";
import "axios";
import "@vueuse/core";
import "vue-i18n";
const x = /* @__PURE__ */ $({
  __name: "KaIcon",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(P), m(r(o)), {
            default: e(() => [
              l(s.$slots, "default")
            ]),
            _: 2
          }, 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ss = /* @__PURE__ */ $({
  __name: "KaAmChart",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(S), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), es = /* @__PURE__ */ $({
  __name: "KaAvatar",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(I), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ls = /* @__PURE__ */ $({
  __name: "KaButton",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(T), m(r(o)), {
            "prepend-icon": e(() => [
              l(s.$slots, "prepend-icon")
            ]),
            "prepend-inner-icon": e(() => [
              l(s.$slots, "prepend-inner-icon")
            ]),
            "append-icon": e(() => [
              l(s.$slots, "append-icon")
            ]),
            "append-outer-icon": e(() => [
              l(s.$slots, "append-outer-icon")
            ]),
            default: e(() => [
              o.md ? l(s.$slots, "default", { key: 0 }) : o.sm ? l(s.$slots, "sm", { key: 1 }) : l(s.$slots, "xs", { key: 2 })
            ]),
            _: 2
          }, 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), os = /* @__PURE__ */ $({
  __name: "KaCollectionView",
  props: w([String, Object]),
  emits: ["update:modelValue"],
  setup(n, { emit: a }) {
    const s = n, u = a, t = V({
      get() {
        return s.modelValue;
      },
      set(o) {
        u("update:modelValue", o);
      }
    });
    return (o, f) => {
      const v = i("KaElement");
      return p(), d(v, _(s, { slots: o.$slots }), {
        label: e(() => [
          l(o.$slots, "label")
        ]),
        default: e((L) => [
          K(c(B), _({
            modelValue: c(t),
            "onUpdate:modelValue": f[0] || (f[0] = (E) => A(t) ? t.value = E : null)
          }, L), y({
            item: e((E) => [
              l(o.$slots, "item", m(r(E)))
            ]),
            _: 2
          }, [
            o.$slots["item-sm"] ? {
              name: "item-sm",
              fn: e((E) => [
                l(o.$slots, "item-sm", m(r(E)))
              ]),
              key: "0"
            } : void 0,
            o.$slots["item-xs"] ? {
              name: "item-xs",
              fn: e((E) => [
                l(o.$slots, "item-xs", m(r(E)))
              ]),
              key: "1"
            } : void 0
          ]), 1040, ["modelValue"])
        ]),
        loading: e(() => [
          l(o.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ts = /* @__PURE__ */ $({
  __name: "KaLeaflet",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(H), m(r(o)), {
            item: e((f) => [
              l(s.$slots, "item", m(r(f)))
            ]),
            _: 2
          }, 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ns = /* @__PURE__ */ $({
  __name: "KaList",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(R), m(r(o)), y({
            item: e((f) => [
              l(s.$slots, "item", m(r(f)))
            ]),
            _: 2
          }, [
            s.$slots["item-sm"] ? {
              name: "item-sm",
              fn: e((f) => [
                l(s.$slots, "item-sm", m(r(f)))
              ]),
              key: "0"
            } : void 0,
            s.$slots["item-xs"] ? {
              name: "item-xs",
              fn: e((f) => [
                l(s.$slots, "item-xs", m(r(f)))
              ]),
              key: "1"
            } : void 0
          ]), 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), as = /* @__PURE__ */ $({
  __name: "KaColor",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(j), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ms = /* @__PURE__ */ $({
  __name: "KaCustomHtml",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(z), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), rs = /* @__PURE__ */ $({
  __name: "KaGradientColor",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(G), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ps = /* @__PURE__ */ $({
  __name: "KaHeaderActions",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(J), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), is = /* @__PURE__ */ $({
  __name: "KaIframe",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(q), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), _s = /* @__PURE__ */ $({
  __name: "KaImage",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(Q), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), us = /* @__PURE__ */ $({
  __name: "KaJitsi",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(W), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), cs = /* @__PURE__ */ $({
  __name: "KaLabel",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(Y), m(r(o)), {
            default: e(() => [
              o.md ? l(s.$slots, "default", { key: 0 }) : o.sm ? l(s.$slots, "sm", { key: 1 }) : l(s.$slots, "xs", { key: 2 })
            ]),
            _: 2
          }, 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), $s = /* @__PURE__ */ $({
  __name: "KaLottie",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(D), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ds = /* @__PURE__ */ $({
  __name: "KaQrCode",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(F), m(r(o)), null, 16)
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Ks = /* @__PURE__ */ $({
  __name: "KaSeparator",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, {
        skeleton: !1,
        slots: s.$slots
      }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(M), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), fs = /* @__PURE__ */ $({
  __name: "KaSocialSharing",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(N), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), gs = /* @__PURE__ */ $({
  __name: "KaText",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(O), m(r(o)), {
            default: e(() => [
              o.md ? l(s.$slots, "default", { key: 0 }) : o.sm ? l(s.$slots, "sm", { key: 1 }) : l(s.$slots, "xs", { key: 2 })
            ]),
            _: 2
          }, 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), bs = /* @__PURE__ */ $({
  __name: "KaTextAnime",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(U), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Es = /* @__PURE__ */ $({
  __name: "KaTextLink",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(X), m(r(o)), {
            default: e(() => [
              o.md ? l(s.$slots, "default", { key: 0 }) : o.sm ? l(s.$slots, "sm", { key: 1 }) : l(s.$slots, "xs", { key: 2 })
            ]),
            _: 2
          }, 1040)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ks = /* @__PURE__ */ $({
  __name: "KaTypeWriter",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(Z), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), hs = /* @__PURE__ */ $({
  __name: "KaVideo",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(C), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), ys = /* @__PURE__ */ $({
  __name: "KaYoutube",
  props: g,
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("KaElement");
      return p(), d(t, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((o) => [
          K(c(C), m(r(o)), null, 16)
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
}), Cs = /* @__PURE__ */ $({
  __name: "KaPageRouter",
  props: b(),
  setup(n) {
    const a = n;
    return (s, u) => {
      const t = i("router-view"), o = i("KaElement");
      return p(), d(o, _(a, { slots: s.$slots }), {
        label: e(() => [
          l(s.$slots, "label")
        ]),
        default: e((f) => [
          f.xs ? (p(), k("div", {
            key: 0,
            class: h(["kapix-page-router", f.templateClass])
          }, [
            l(s.$slots, "default")
          ], 2)) : f.sm ? (p(), k("div", {
            key: 1,
            class: h(["kapix-page-router", f.templateClass])
          }, [
            l(s.$slots, "default")
          ], 2)) : s.$slots.default ? (p(), k("div", {
            key: 2,
            class: h(["kapix-page-router", f.templateClass])
          }, [
            l(s.$slots, "default")
          ], 2)) : (p(), k("div", {
            key: 3,
            class: h(["kapix-page-router", f.templateClass])
          }, [
            K(t)
          ], 2))
        ]),
        loading: e(() => [
          l(s.$slots, "loading")
        ]),
        _: 3
      }, 16, ["slots"]);
    };
  }
});
const Is = {
  KaAmChart: ss,
  KaAvatar: es,
  KaButton: ls,
  KaCollectionView: os,
  KaColor: as,
  KaCustomHtml: ms,
  KaGradientColor: rs,
  KaHeaderActions: ps,
  KaIcon: x,
  KaIframe: is,
  KaImage: _s,
  KaJitsi: us,
  KaLabel: cs,
  KaLeaflet: ts,
  KaList: ns,
  KaLottie: $s,
  KaPageRouter: Cs,
  // KaPdf,
  KaQrCode: ds,
  KaSeparator: Ks,
  KaSocialSharing: fs,
  KaText: gs,
  KaTextAnime: bs,
  KaTextLink: Es,
  KaTypeWriter: ks,
  KaVideo: hs,
  KaYoutube: ys
};
export {
  Is as default
};
